| Home | Libraries | People | FAQ | More

##### url_base::normalize_path

Normalize the URL path.

###### Synopsis

    url_base&
    normalize_path();

###### Description

Applies Syntax-based normalization to the URL path. Percent-encoding triplets are normalized to uppercase letters. Percent-encoded octets that correspond to unreserved characters are decoded. Redundant path-segments are removed.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Specification

- 6.2.2 Syntax-Based Normalization (rfc3986)